'use strict'

class DynamicModel {
  constructor (data) {
    let s = this
    Object.assign(s, data)
  }

  get (id) {
    let s = this
    return s[ id ]
  }

  toJSON () {
    let s = this
    return Object.assign({}, s)
  }
}

module.exports = DynamicModel
